Bug 11936 - plugger creates /tmp/ndebug or crashes (bus error)
Summary: plugger creates /tmp/ndebug or crashes (bus error)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: plugger   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-07 05:07 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-19 21:28:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2000-06-07 05:07:04 UTC
When netscape is first started after plugger is installed, plugger creates
a /tmp/ndebug file wrere it puts some debugging output. If the file is
already exists and is not writable by user, netscape crashes with bus
error.

This is a security issue since creating predictable file names in /tmp
without proper checking is always a bag idea. It also can be used as a sort
of DOS attack agains the user.

I believe that the proper solution would be to not create any files at all
- there is nothing really useful there, it may be interesting to have in
the debugging version of the plugin, but not in the prooduction one.

Bug #11467 also describes this problem, but there the user mistakenly
concluded that the bug disappeared after he upgraded to netscape 4.73. I
already have netscape-communicator-4.73-1, but the problem still exists. I
believe the problem "went away" for the reporter of bug #11467 simply
because tmpwatch finally removed /tmp/ndebug.

Comment 1 Tim Powers 2000-06-07 13:42:43 UTC
OK. Fixed it. It now doesn't define DEBUG at build time. A simple Makefile fix
:) If you have RPM 4.0 the fix should be available in rawhide the next time it
is updated.

Tim

Comment 2 Aleksey Nogin 2000-06-07 17:58:19 UTC
Don't you think that it's serious enough to warrant an update for 6.2, not only
a fix in Rawhide?

Comment 3 Tim Powers 2000-06-07 18:26:15 UTC
I'm actually working on getting an errata out for this right now, you're reading
my mind :)

Tim

Comment 4 Tim Powers 2000-06-19 21:28:07 UTC
Since the errata was released I am marking this as resolved.


Note You need to log in before you can comment on or make changes to this bug.